PUT
/v1/transactions/{id}
Needs an API key with the update scope.
Path parameters
-
idstring Required
Body parameters
-
descriptionstringDescription of the transaction
-
transactionTimestampintegerEpoch timestamp for the transaction date and time. If both of the fields are provided,
transactionTimestampwill be used. -
transactionDatestringDatetime with timezone for the transaction date and time.
-
transactionTypestringType of the transaction. If it is an incoming money, use
Money In; if it is an outgoing money, useMoney Out -
mathcingEntityIdstring32-character unique ID of the customer or supplier of the transaction's sender or receiver.
-
mathcingEntityCodestringUser-generated custom customer or supplier code of the transaction's sender or receiver.
-
amountnumberAmount of the transaction. It should be a positive decimal number.
eg. 1059.34
Returns
The transaction as saved.
-
401 - No usable
Authorization: Bearer {token}header (1002). -
403 - The access token is unknown, or lacks the scope this route needs (1001).